View Issue Details

IDProjectCategoryView StatusLast Update
0002939SymmetricDSBugpublic2016-12-30 08:10
ReportersmotyckaAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.8.11 
Target Version3.8.12Fixed in Version3.8.12 
Summary0002939: MySQL store: Error after reload node
DescriptionThe reloading of node '001' (which is the store in the replication schema "MSSQL (corp-000) -> MySQL (store-001)" ends with error.
Replicated tables are not automatically created.

This action
symadmin reload-node --engine corp-000 -n store 001
ends with following error message:

----------------------------->>>
2016-12-09 13:04:07,865 ERROR [store-001] [DataLoaderService] [store-001-data-loader-1] Failed to load batch 000-29 StackTraceKey.init [NullPointerException:2964606499]
java.lang.NullPointerException
    at org.jumpmind.symmetric.io.MySqlBulkDatabaseWriter.start(MySqlBulkDatabaseWriter.java:83)
    at org.jumpmind.symmetric.io.data.writer.NestedDataWriter.start(NestedDataWriter.java:60)
    at org.jumpmind.symmetric.model.ProcessInfoDataWriter.start(ProcessInfoDataWriter.java:58)
    at org.jumpmind.symmetric.io.data.writer.NestedDataWriter.start(NestedDataWriter.java:60)
    at org.jumpmind.symmetric.io.data.writer.TransformWriter.start(TransformWriter.java:114)
    at org.jumpmind.symmetric.io.data.DataProcessor.forEachTableInBatch(DataProcessor.java:168)
    at org.jumpmind.symmetric.io.data.DataProcessor.process(DataProcessor.java:116)
    at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$1.call(DataLoaderService.java:938)
    at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$1.call(DataLoaderService.java:913)
    at java.util.concurrent.FutureTask.run(FutureTask.java:262)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
    at java.lang.Thread.run(Thread.java:745)
2016-12-09 13:04:07,878 ERROR [store-001] [DataLoaderService] [store-001-pull-default-1] Failed while parsing batch StackTraceKey [NullPointerException:2964606499]
2016-12-09 13:04:07,885 ERROR [corp-000] [AcknowledgeService] [qtp1528635873-94] The outgoing batch 001-29 failed:
2016-12-09 13:04:08,820 INFO [store-001] [PushService] [store-001-push-default-2] Push data sent to corp:000:000
2016-12-09 13:04:08,826 INFO [store-001] [IncomingBatchService] [store-001-data-loader-1] Retrying batch 000-29
2016-12-09 13:04:08,834 INFO [corp-000] [DataLoaderService] [qtp1528635873-122] 1 data and 1 batches loaded during push request from store:001:001.
2016-12-09 13:04:08,836 ERROR [store-001] [DataLoaderService] [store-001-data-loader-1] Failed to load batch 000-29 StackTraceKey [NullPointerException:2964606499]
-----------------------------<<<
TagsNo tags attached.

Activities

elong

2016-12-09 14:09

developer   ~0000927

Did you set the parameter initial.load.create.first=true? That needs to be enable to create tables automatically. (After you set it, you will need to cancel your initial load and start a new one.) We definitely should fix the null pointer exception, but the next error will be "table not found".

smotycka

2016-12-10 14:54

reporter   ~0000928

Hi Elong,
yes, I have set parameter initial.load.create.first=true on the server (corp-000) engine.

Related Changesets

SymmetricDS: 3.8 12c1de7a

2016-12-09 14:18:06

chenson

Details Diff
0002939: MySQL store: Error after reload node
0002939
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MySqlBulkDatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2016-12-09 08:01 smotycka New Issue
2016-12-09 14:09 elong Note Added: 0000927
2016-12-09 14:17 chenson Assigned To => chenson
2016-12-09 14:17 chenson Status new => assigned
2016-12-09 14:17 chenson Fixed in Version => 3.9.0
2016-12-09 14:17 chenson Target Version => 3.9.0
2016-12-09 14:18 chenson Status assigned => resolved
2016-12-09 14:18 chenson Resolution open => fixed
2016-12-09 14:45 chenson Fixed in Version 3.9.0 => 3.8.12
2016-12-09 14:45 chenson Target Version 3.9.0 => 3.8.12
2016-12-09 15:00 chenson Changeset attached => SymmetricDS 3.8 12c1de7a
2016-12-10 14:54 smotycka Note Added: 0000928
2016-12-10 14:54 smotycka Status resolved => feedback
2016-12-10 14:54 smotycka Resolution fixed => reopened
2016-12-14 19:31 chenson Status feedback => resolved
2016-12-14 19:31 chenson Resolution reopened => fixed
2016-12-30 08:10 chenson Status resolved => closed